You are not logged in. Click here to log in.

codebeamer Application Lifecycle Management (ALM)

Search In Project

Search inClear

Tags:  not added yet


codebeamer 22.04 (Felicity) - General information
  • Customers won't be able to upgrade directly to 22.04 (Felicity) version. First, upgrade to 21.09 (Emma) then upgrade to 22.04 (Felicity), no further upgrades are supported.
  • Please note that upgrading to Felicity version can take several hours. It is highly recommended to execute during weekend.
  • RPE 6 integration is no longer supported and deprecated.
  • Java version is upgraded to Java 11.x version.
  • Apache Tomcat upgraded to latest 9.0.x version.
  • Microsoft Office 2016 is no longer supported, use Microsoft Office 2019 or later versions.
  • Siteminder Authentication was completely removed and not supported anymore.
  • ARIALUNI.TTF font (used by mxGraph) for UTF-8 and accented character support must be downloaded and installed to the target server manually.
  • MySQL JDBC JAR file is no longer shipped with Docker images.
  • New technical project is being created during the upgrade processes (codeBeamer SCM Project). This project is necessary for upcoming features further releases.

System Requirements

This page describes the hardware and software requirements of codebeamer 22.04 (Felicity). For general requirements, see: System Requirements.

Operating Systems

Windows and Linux on 64-bit x86 architectures with at least 8 GB memory.

The amount of memory required depends on the number of concurrent users, and the data in the system.

Virtual Systems

codebeamer 22.04 versions are tested with VMware ESX 6.5.0, ESX 6.7.0, Amazon Elastic Compute Cloud (Amazon EC2), Azure virtual machines and Proxmox 6.3-4.

Docker

Docker image is changed, note the following changes:

  • Oracle Linux 8.5 is used as a base image
  • additional environment variables are added
  • hosted SCMs are removed from the image
  • codebeamer is available on http://localhost/ without "/cb"

Docker image is tested with 20.10.6 version of Docker

Supported Java Runtime Environment (JRE)

Platform Version Tested with Recommended Platform
Open JDK 11.0.13 or higher OpenJDK;11.0.13; OpenJDK 64-Bit Server VM;
ALT_WIKI:EMOTICON:%28%2F%29%20 Windows
Red Hat
11.0.14.1 or higher
Red Hat, Inc.;11.0.14.1;11.0.14.1+1-LTS; OpenJDK 64-Bit Server VM;
ALT_WIKI:EMOTICON:%28%2F%29%20 Linux

Supported Application Servers

codebeamer is shipped and tested with Apache Tomcat 9.0.62. The windows-based installer has the tomcat application server already included.

It is recommended to upgrade to Apache Tomcat 9.0.62 version because of https://tomcat.apache.org/security-9.html.

codebeamer 22.04 Supported Databases

Database
Version Tested with Can be used in production
MySQL
8.0 8.0.24-utf8mb4 ALT_WIKI:EMOTICON:%28%2F%29%20
Oracle
Oracle 19.x Enterprise Edition 19.3c ALT_WIKI:EMOTICON:%28%2F%29%20
PostgreSQL
12.10
Microsoft Visual C++ Redistributable for Visual Studio 2015, 2017 and 2019 is required on Windows.
12.10 ALT_WIKI:EMOTICON:%28%2F%29%20

codebeamer 22.04 Supported Databases for ArtifactInDb license

codebeamer can store any file assets (documents, attachments etc.) into database (instead of storing them on the file system).

This feature requires an appropriate license!
Database Available
PostgreSQL
ALT_WIKI:EMOTICON:%28%2F%29%20
Oracle ALT_WIKI:EMOTICON:%28%2F%29%20
MySQL ALT_WIKI:EMOTICON:%28-%29%20

codebeamer 22.04 Supported Browsers

In all browsers, JavaScript must be enabled to use the full functionality of codebeamer.

Browser Supported Version Tested with
Chrome
100.0.x
100.0.4896.88
Microsoft Edge 100.0.x
100.0.1185.39
Firefox 99.x 99.0.1

Source Code Management Systems (SCM)

Git 2.11 or higher tested with Git 2.18.4
Subversion 1.10.x tested with 1.10.2 (r1835932)
Mercurial
(requires special support contract)
3.0.1 or higher tested with 3.7.3
Perforce
(requires special support contract)
7.0 or higher tested with 7.0.16.1930

JIRA Integration

JIRA Server version Tested with
JIRA 7.2.6 or higher JIRA 7.2.6 and v8.5.2
JIRA Cloud JIRA Cloud

Microsoft Office

Windows 10
Office 2019 Edge
Chrome (latest)
Firefox (latest)
Office 365 Edge
Chrome (latest)
Firefox (latest)

You can find more details about Office Edit support